Package fr.gouv.vitam.ingest.internal.upload.rest

# Class IngestInternalMain

java.lang.Object
fr.gouv.vitam.ingest.internal.upload.rest.IngestInternalMain

public class IngestInternalMain extends Object
Ingest Internal web server application

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `PARAMETER_JETTY_SERVER_PORT`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `IngestInternalMain(String configurationFile)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `VitamStarter`
  `getVitamStarter()`
  Get the Vitam Starter
  `static void`
  `main(String[] args)`
  Main method to run the application (doing start and join)
  `void`
  `start()`
  Start application
  `void`
  `startAndJoin()`
  Start and join application
  `void`
  `stop()`
  Stop application

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### PARAMETER_JETTY_SERVER_PORT

    public static final String PARAMETER_JETTY_SERVER_PORT
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### IngestInternalMain

    public IngestInternalMain(String configurationFile)

- ## Method Details

  - ### main

    public static void main(String[] args)
    Main method to run the application (doing start and join)
    Parameters:
      `args` - command line parameters
    Throws:
      `IllegalStateException` - if the Vitam server cannot be launched

  - ### start

    public void start() throws VitamApplicationServerException
    Start application
    Throws:
      `VitamApplicationServerException`

  - ### startAndJoin

    public void startAndJoin() throws VitamApplicationServerException
    Start and join application
    Throws:
      `VitamApplicationServerException`

  - ### stop

    public void stop() throws VitamApplicationServerException
    Stop application
    Throws:
      `VitamApplicationServerException`

  - ### getVitamStarter

    public VitamStarter getVitamStarter()
    Get the Vitam Starter
    Returns: